﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using Infragistics.Win.UltraWinEditors;
using System.Diagnostics;

namespace HiideToolAreaRight
{
    class CustomCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {

        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            if (parent is ApplicationMenuRightAreaUIElement)
            {
                ApplicationMenuLeftAreaUIElement left = parent.Parent.GetDescendant
                    (typeof(ApplicationMenuLeftAreaUIElement)) as ApplicationMenuLeftAreaUIElement;
                left.Rect = new System.Drawing.Rectangle(left.Rect.Location,
                new System.Drawing.Size(left.Parent.Rect.Width - 1, left.Rect.Height));
                return true;
            }
           
            return false;
        }
    }
}
